s10_level_hints.levels["Level 3"] = function()
	return
	{
		miniscenes
		({
			level03_scene01 =
			{
				on_scene("level03_scene02", end_level("area_door"))
			},
			
			level03_scene02 = 
			{
				on_scene("level03_scene01", IF(NOT(state("wall", "wall01")), end_level("area_wall")))
			},
			
			level03_miniscene_bag = 
			{
				on_scene("level03_scene01",
				{
					IF(state("s_s", "s_s04"), miniscene("travelling_bag")),
					IF({state("pipe_on", "pipe_on03"), state("stopcock_on", "stopcock_on02")}, click("stopcock_on"))
				})
			},
			
			level03_miniscene_sheet = 
			{
				IF(state("sheet_with_info", "sheet_with_info02"), miniscene("area_candles")),
				miniscene("area_sheet_with_code")
			},
			
			level03_miniscene_casket =
			{
				on_scene("level03_scene01",
				{
					IF(state("wall", "wall03"), miniscene("area_casket2")),
					IF(state("wall", "wall04"), miniscene("area_casket2"))
				})
			},
			
			level03_miniscene_bowl = 
			{
				on_scene("level03_scene01", miniscene("area_vase"))
			},
			
			level03_miniscene_suitcase = 
			{
				on_scene("level03_scene02", miniscene("area_suitcase02"))
			},
			
			level03_miniscene_drawer = 
			{
				on_scene("level03_scene02", miniscene("area_drawer02"))
			},
			
			level03_miniscene_journal = 
			{
				on_scene("level03_scene02", miniscene("journal"))
			},
			
			level03_miniscene_hole = 
			{
				on_scene("level03_scene02", 
				{
					IF(state("tile", "tile02"), miniscene("tile")),
					IF(state("tile", "tile03"), miniscene("tile"))
				})
			}
		}),
		
		on_scene("level03_scene01",
		{
			-- обеспечить проход по яме
			take("plank01"),
			click("area_hole", "plank01"),
			
			-- достать трубу
			take("spade", "area_spade"),
			click("pipe", "spade"),
			
			IF(state("plank02", "plank02_2"),
			{
				-- починить трубу
				click("pipe_on", "pipe"),
				take("spanner", "area_spanner"),
				IF(state("pipe_on", "pipe_on02"), click("pipe_on", "spanner")),
			
				-- перекрыть пар
				IF(state("plank02", "plank02_2"), take("stopcock")),
				click("stopcock_on", "stopcock")
			}),
		}),
		
		-- найти футляр
		on_scene("level03_miniscene_bag",
		{
			click("area_case"),
			take("key", "area_key")
		}),
		
		on_scene("level03_scene01",
		{
			-- открыть окно
			click("lock", "key"),
			IF(state("window", "window01"), click("area_window")),
			
			-- достать шкатулку
			take("hammer"),
			IF(state("window_light", "window_light02"), click("area_wall", "hammer")),
			--click("area_casket1"),
		}),
		
		on_scene("level03_scene02",
		{
			-- починить свет
			IF(state("panel", "panel01"), minigame("panel")),
			IF(state("panel", "panel02"), minigame("panel")),
			take("bulb"),
			IF({state("background_room", "background_room01"), state("panel", "panel03")}, click("area_socket", "bulb")),
			
			IF(state("background_room", "background_room02"),
			{
				--достаем ведро
				IF(state("tile", "tile01"), minigame("tile")),
				take("bucket"),
			})
		}),
		
		-- достаем свиток
		on_scene("level03_scene01", click("area_hole", "bucket")),
		on_scene("level03_miniscene_hole", click("area_hole_mini", "bucket_with_water")),
		on_scene("level03_scene02", take("saw")),
		on_scene("level03_miniscene_hole", 
		{
			click("area_lattice01", "saw"),
			click("area_lattice02", "saw"),
			click("area_lattice03", "saw"),
			IF({state("lattice", "lattice02"), state("water", "water01")}, click("area_bottle_in_water")),
			IF(state("bottle", "bottle01"), click("area_bottle_on_floor")),
			take("sheet", "area_sheet")
		}),
		
		-- находим спички
		on_scene("level03_scene02", IF(state("background_room", "background_room02"), take("pliers"))),
		on_scene("level03_miniscene_bowl", take("paperclip")),
		on_scene("level03_scene02", click("area_suitcase01", "picklock")),
		on_scene("level03_miniscene_suitcase",
		{
			click("area_sheet_mini"),
			click("area_rag"),
			take("match")
		}),
		
		-- находим свечи
		on_scene("level03_scene02", 
		{	
			IF(state("journal", "journal01"), miniscene("journal")),
			minigame("area_drawer01")
		}),
		on_scene("level03_miniscene_drawer", take("candles")),
		
		-- проявляем код
		on_scene("level03_miniscene_bowl", take("match_box")),
		on_scene("level03_scene01", 
		{
			click("area_candlestick", "candles"),
			click("area_candles", "match_burning"),
			IF(state("clip_candles_light", "clip_candles_light02"), click("area_candles", "sheet"))
		}),
		
		-- открыть шкатулку
		on_scene("level03_miniscene_casket",
		{
			end_level("shett_with_amulet_info")
		})
	}	
end
